/* eslint-disable */
/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */
import { HTMLStencilElement, JSXBase } from "@stencil/core/internal";
export namespace Components {
    interface AppRoot {
    }
    interface ErrorsNotFound {
    }
    interface ErrorsServer {
    }
    interface SalesPage {
        "selectFiles": () => Promise<void>;
    }
}
declare global {
    interface HTMLAppRootElement extends Components.AppRoot, HTMLStencilElement {
    }
    var HTMLAppRootElement: {
        prototype: HTMLAppRootElement;
        new (): HTMLAppRootElement;
    };
    interface HTMLErrorsNotFoundElement extends Components.ErrorsNotFound, HTMLStencilElement {
    }
    var HTMLErrorsNotFoundElement: {
        prototype: HTMLErrorsNotFoundElement;
        new (): HTMLErrorsNotFoundElement;
    };
    interface HTMLErrorsServerElement extends Components.ErrorsServer, HTMLStencilElement {
    }
    var HTMLErrorsServerElement: {
        prototype: HTMLErrorsServerElement;
        new (): HTMLErrorsServerElement;
    };
    interface HTMLSalesPageElement extends Components.SalesPage, HTMLStencilElement {
    }
    var HTMLSalesPageElement: {
        prototype: HTMLSalesPageElement;
        new (): HTMLSalesPageElement;
    };
    interface HTMLElementTagNameMap {
        "app-root": HTMLAppRootElement;
        "errors-not-found": HTMLErrorsNotFoundElement;
        "errors-server": HTMLErrorsServerElement;
        "sales-page": HTMLSalesPageElement;
    }
}
declare namespace LocalJSX {
    interface AppRoot {
    }
    interface ErrorsNotFound {
    }
    interface ErrorsServer {
    }
    interface SalesPage {
    }
    interface IntrinsicElements {
        "app-root": AppRoot;
        "errors-not-found": ErrorsNotFound;
        "errors-server": ErrorsServer;
        "sales-page": SalesPage;
    }
}
export { LocalJSX as JSX };
declare module "@stencil/core" {
    export namespace JSX {
        interface IntrinsicElements {
            "app-root": LocalJSX.AppRoot & JSXBase.HTMLAttributes<HTMLAppRootElement>;
            "errors-not-found": LocalJSX.ErrorsNotFound & JSXBase.HTMLAttributes<HTMLErrorsNotFoundElement>;
            "errors-server": LocalJSX.ErrorsServer & JSXBase.HTMLAttributes<HTMLErrorsServerElement>;
            "sales-page": LocalJSX.SalesPage & JSXBase.HTMLAttributes<HTMLSalesPageElement>;
        }
    }
}
